SystemOrganization addCategory: #ConfigurationOfSeasideLoad!

Object subclass: #ConfigurationOfSeasideLoad
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSeasideLoad'!

!ConfigurationOfSeasideLoad class methodsFor: 'development support' stamp: 'NorbertHartl 5/10/2013 14:12'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSeasideLoad class methodsFor: 'private' stamp: 'NorbertHartl 5/10/2013 14:12'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSeasideLoad class methodsFor: 'private' stamp: 'NorbertHartl 5/10/2013 14:12'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSeasideLoad class methodsFor: 'private' stamp: 'NorbertHartl 5/10/2013 14:12'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSeasideLoad class methodsFor: 'metacello tool support' stamp: 'NorbertHartl 5/10/2013 14:12'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSeasideLoad class methodsFor: 'loading' stamp: 'NorbertHartl 5/10/2013 14:12'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSeasideLoad class methodsFor: 'loading' stamp: 'NorbertHartl 5/10/2013 14:12'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSeasideLoad class methodsFor: 'loading' stamp: 'NorbertHartl 5/10/2013 14:12'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSeasideLoad class methodsFor: 'as yet unclassified' stamp: 'NorbertHartl 5/10/2013 14:16'!
project

	^self new project! !

!ConfigurationOfSeasideLoad class methodsFor: 'development support' stamp: 'NorbertHartl 5/10/2013 14:12'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSeasideLoad methodsFor: 'baselines' stamp: 'NorbertHartl 5/10/2013 14:14'!
baseline01: spec 
        <version: '0.1-baseline'>
        
	spec for: #common do: [
		spec blessing: #baseline.
               spec repository: 'http://www.squeaksource.com'.    
			

	spec				
	"	project: 'Seaside Rest' with: [
					spec
						className: 'ConfigurationOfSeasideRest';
						versionString: '0.22';
						loads: #('default' );
						repository: 'http://www.squeaksource.com/MetacelloRepository' ];"
					
				project: 'Zinc Seaside' with: [
					spec
						className: 'ConfigurationOfSeaside30';
						versionString: '3.0.8';
						loads: #('Zinc-Seaside');
						repository: 'http://www.squeaksource.com/MetacelloRepository'].
					
                spec
                        group: 'default' with: #('Zinc Seaside') ].! !

!ConfigurationOfSeasideLoad methodsFor: 'as yet unclassified' stamp: 'NorbertHartl 5/10/2013 14:16'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfSeasideLoad methodsFor: 'accessing' stamp: 'NorbertHartl 5/10/2013 14:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSeasideLoad methodsFor: 'as yet unclassified' stamp: 'NorbertHartl 5/10/2013 14:12'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfSeasideLoad methodsFor: 'versions' stamp: 'NorbertHartl 5/10/2013 14:15'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'test version'.
		spec author: 'NorbertHartl'.
		spec timestamp: '5/10/2013 12:37'.
		spec 
			project: 'Seaside Rest' with: '0.22';
			project: 'Zinc Seaside' with: '3.0.8' ].
! !
